<p align="center">
    <img src="pack.png" />
    <h1 align="center">Default Dark Mode</h1>
    <h2 align="center">The Dark Mode Resource Pack for Minecraft: Java Edition</h2>
</p>

<p align="center">
    <a aria-label="build" href="https://github.com/nebuIr/Default-Dark-Mode/actions">
        <img src="https://img.shields.io/github/actions/workflow/status/nebuIr/Default-Dark-Mode/optimize.yml?branch=%221.19%22">
    </a>
    <a aria-label="release" href="https://github.com/nebuIr/Default-Dark-Mode/releases/latest">
        <img alt="" src="https://img.shields.io/github/v/release/nebuIr/Default-Dark-Mode">
    </a>
    <a aria-label="license" href="https://creativecommons.org/licenses/by-nc-sa/4.0/">
        <img src="https://img.shields.io/badge/license-CC%20BY--NC--SA%204.0-brightgreen.svg">
    </a>
    <a aria-label="github downloads" href="https://github.com/nebuIr/Default-Dark-Mode/releases">
        <img alt="" src="https://img.shields.io/github/downloads/nebuIr/Default-Dark-Mode/total?logo=github">
    </a>
    <a aria-label="modrinth downloads" href="https://modrinth.com/resourcepack/default-dark-mode/versions">
        <img alt="" src="https://img.shields.io/endpoint?url=https://api.darkomizer.com/shields/downloads/modrinth">
    </a>
    <a aria-label="curseforge downloads" href="https://www.curseforge.com/minecraft/texture-packs/default-dark-mode/files">
        <img alt="" src="https://img.shields.io/endpoint?url=https://api.darkomizer.com/shields/downloads/curseforge">
    </a>
</p>

<p align="center">
    Default Dark Mode gives the Minecraft GUI a darker look while maintaining the vanilla textures.
</p>

![Banner](https://i.imgur.com/p9lNs6l.png)

## Download

All versions can be downloaded from the [GitHub Releases page](https://github.com/nebuIr/Default-Dark-Mode/releases).

This resource pack is also available on [CurseForge](https://www.curseforge.com/minecraft/texture-packs/default-dark-mode), [Modrinth](https://modrinth.com/resourcepack/default-dark-mode) & [Planet Minecraft](https://www.planetminecraft.com/texture_pack/default-dark-mode).

## Compatibility

Minecraft: Java Edition **1.6 to 1.19** are supported.

*Optional: [Optifine](https://optifine.net/) is required in order for the loading screen to change colors.*

## Mod Support

The following mods are supported (versions for Fabric & Forge should both work):

| Mod                                                                                                             | 1.19 | 1.18 | 1.17 | 1.16 | 1.15 | 1.14 | 1.13 | 1.12 | 1.11 and older |
| :-------------------------------------------------------------------------------------------------------------- | :--: | :--: | :--: | :--: | :--: | :--: | :--: | :--: | :------------: |
| [Adorn](https://www.curseforge.com/minecraft/mc-mods/adorn)                                                     |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Applied Energistics 2](https://www.curseforge.com/minecraft/mc-mods/applied-energistics-2)                     |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [AE2 Things](https://www.curseforge.com/minecraft/mc-mods/ae2things)                                            |  ❌  |  ❌  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [AE2 Wireless Terminals](https://www.curseforge.com/minecraft/mc-mods/applied-energistics-2-wireless-terminals) |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Bedrockify](https://www.curseforge.com/minecraft/mc-mods/bedrockify)                                           |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Better Advancements](https://www.curseforge.com/minecraft/mc-mods/better-advancements)                         |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [BetterEnd](https://www.curseforge.com/minecraft/mc-mods/betterend)                                             |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Biome Makeover](https://www.curseforge.com/minecraft/mc-mods/biome-makeover)                                   |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Capes](https://www.curseforge.com/minecraft/mc-mods/capes)                                                     |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Charm](https://www.curseforge.com/minecraft/mc-mods/charm)                                                     |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Cloth Config API](https://www.curseforge.com/minecraft/mc-mods/cloth-config)                                   |  ✅  |  ✅  |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Creative Library](https://www.curseforge.com/minecraft/mc-mods/creative-library)                               |  ❌  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Dank Storage](https://www.curseforge.com/minecraft/mc-mods/dank-storage)                                       |  ❌  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Easy Anvils](https://www.curseforge.com/minecraft/mc-mods/easy-anvils)                                         |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Easy Magic](https://www.curseforge.com/minecraft/mc-mods/easy-magic)                                           |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Easy Villagers](https://www.curseforge.com/minecraft/mc-mods/easy-villagers)                                   |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [EMI (Item and Recipe Viewer)](https://www.curseforge.com/minecraft/mc-mods/emi)                                |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Expanded Delight](https://www.curseforge.com/minecraft/mc-mods/expanded-delight)                               |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Expanded Storage](https://www.curseforge.com/minecraft/mc-mods/expanded-storage)                               |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Fabric](https://fabricmc.net/)                                                                                 |  ✅  |  ✅  |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Farmer's Delight](https://www.curseforge.com/minecraft/mc-mods/farmers-delight)                                |  ✅  |  ✅  |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Frame API](https://www.curseforge.com/minecraft/mc-mods/frame-api)                                             |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Galosphere](https://www.curseforge.com/minecraft/mc-mods/galosphere)                                           |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Inmis](https://www.curseforge.com/minecraft/mc-mods/inmis)                                                     |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [InmisAddon](https://www.curseforge.com/minecraft/mc-mods/inmisaddon)                                           |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Inventory HUD+](https://www.curseforge.com/minecraft/mc-mods/inventory-hud-forge)                              |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Inventory Sorting](https://www.curseforge.com/minecraft/mc-mods/inventory-sorting)                             |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Iron Chests](https://www.curseforge.com/minecraft/mc-mods/iron-chests)                                         |  ✅  |  ✅  |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Item Filters](https://www.curseforge.com/minecraft/mc-mods/item-filters)                                       |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Just Enough Items (JEI)](https://www.curseforge.com/minecraft/mc-mods/jei)                                     |  ✅  |  ✅  |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Language Reload](https://www.curseforge.com/minecraft/mc-mods/language-reload)                                 |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Let's do Wine!](https://www.curseforge.com/minecraft/mc-mods/lets-do-wine)                                     |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [LibGui](https://github.com/CottonMC/LibGui)                                                                    |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Mod Menu](https://www.curseforge.com/minecraft/mc-mods/modmenu)                                                |  ✅  |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Oh The Biomes You'll Go](https://www.curseforge.com/minecraft/mc-mods/oh-the-biomes-youll-go)                  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Origins](https://www.curseforge.com/minecraft/mc-mods/origins)                                                 |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [owo-lib](https://www.curseforge.com/minecraft/mc-mods/owo-lib)                                                 |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Paradise Lost](https://www.curseforge.com/minecraft/mc-mods/paradise-lost)                                     |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Piercing Paxels](https://www.curseforge.com/minecraft/mc-mods/piercing-paxels)                                 |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Polymorph](https://www.curseforge.com/minecraft/mc-mods/polymorph)                                             |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Roughly Enough Items (REI)](https://www.curseforge.com/minecraft/mc-mods/roughly-enough-items)                 |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [The Bumblezone](https://www.curseforge.com/minecraft/mc-mods/the-bumblezone-fabric)                            |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [The Twilight Forest](https://www.curseforge.com/minecraft/mc-mods/the-twilight-forest)                         |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Tom's Simple Storage](https://www.curseforge.com/minecraft/mc-mods/toms-storage)                               |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [TrashSlot](https://www.curseforge.com/minecraft/mc-mods/trashslot)                                             |  ✅  |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Traveler's Backpack](https://www.curseforge.com/minecraft/mc-mods/travelers-backpack)                          |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |
| [Trinkets](https://www.curseforge.com/minecraft/mc-mods/trinkets)                                               |  ✅  |  ✅  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |  ❌  |       ❌       |

Want support for a specific mod? Create an issue and submit a mod support request [here](https://github.com/nebuIr/Default-Dark-Mode/issues/new/choose).\
Before submitting a mod support request, please make sure that your mod has not already been requested in another issue.

## Screenshots

![Loading Screen (Optifine Required)](https://i.imgur.com/x5Ujnte.png)

![Title Screen](https://i.imgur.com/2decASu.png)

![Inventory (Creative)](https://i.imgur.com/Uhn2a7U.png)

![Crafting Table](https://i.imgur.com/9bcmUt0.png)

![Barrel](https://i.imgur.com/dLCXsP3.png)

![Blast Furnace](https://i.imgur.com/R56d1RV.png)

![Anvil](https://i.imgur.com/wzQRLz7.png)
